

# BiTIA Installation
BiTIA CLI is the Command Line Interface Tool that helps get user inputs with commands, directories, and required files. It sends tasks to the server, where bitia-runner processes them and generates results.

**To work with BiTIA, we need to install bitia-cli and submit tasks to the server**.
## Installing bitia
BiTIA CLI is available on [PyPi] as [BiTIA].

Installing bitia is very simple. You only need to have [python-pip] installed in your system.




To Install **BiTIA** using pip, run this command:

<div id="termynal" data-termynal>
    <span data-ty="input">python3 -m pip install bitia</span>
    <span data-ty="progress"></span>
    <span data-ty>Successfully installed bitia</span>
</div>


## Run BiTIA

BiTIA should now be available system-wide:

<div id="termynal1" data-termynal>
<span data-ty="input">bitia --version
</span>
<span data-ty>Using server <a style="color:#87CEEB">https://public.bitia.link/api/v1</a>
</span>
<span data-ty>0.2.1</span>
</div>

## Configuration files


_TODO_: Order of searching configuration file.  
Try any one of the following command to search for configuration file


**_UNIX_**
                 
> - ./bitia.toml  
> - ~/.bitia.toml  
> - $HOME/.config/bitia.toml 
> - /etc/bitia.tom

                  
**_WINDOWS_**              
                    

> - bitia.toml
> - \%APPDATA%\bitia.toml
> - \%PROGRAMDATA%\bitia.toml


</div>                 


<script type="text/javascript" src="https://raw.githack.com/tiangolo/fastapi/master/docs/en/docs/js/termynal.js" data-termynal-container="#termynal|#termynal1"></script>




                     
                     
                     


[BiTIA]: https://pypi.org/project/bitia/
[Pypi]: https://pypi.org/
[python-pip]: https://pypi.org/project/pip/ 